package gov.noaa.ncdc.swdi.gridder;

import java.awt.Graphics2D;

/**
 * An Annotation is just a string together with an (x,y) location, and a
 * convenience method for rendering the string at that loction.
 **/

public class Annotation {
    public int x, y;
    public String text;
    public Annotation(String text, int x, int y) {
        this.text = text;
        this.x = x;
        this.y = y;
    }
    public void render(Graphics2D g2d) {
        g2d.drawString(text, x, y);
    }
}

